<script setup lang="ts">
import { computed } from 'vue';
import { handleBackground } from '@slidev/theme-default/layoutHelper';

const props = defineProps({
	background: {
		default: 'https://source.unsplash.com/random/1920x1080?code,technology'
	}
});
</script>

<template>
	<div
		class="slidev-layout cover bg-[rgba(0,0,0,.75)] bg-blend-overlay bg-cover bg-left bg-no-repeat relative"
		:style="{ backgroundImage: `url('${props.background}')` }"
	>
		<NttDataLogo class="w-[100px] abs-tr right-6 top-6 fill-white" />

		<div class="my-auto w-full z-30">
			<slot />

			<div class="absolute left-8 right-8 bottom-8">
				<div class="flex gap-2 items-end justify-between">
					<div>
						<span class="block text-xs font-500 text-white uppercase mt-1"
							>NTT DATA Europa & Latam</span
						>
					</div>
					<h3 class="font-extrabold uppercase text-right leading-tight text-white">
						Future<br />At Heart
					</h3>
				</div>
			</div>
			<div class="bg-white h-[2px] absolute left-4 right-4 bottom-6"></div>
		</div>

		<div class="bg-overlay bg-n-overlay z-0 absolute top-0 -left-[20%]" />
	</div>
</template>
